Description

General Electric once defined a private transfer syntax with the UID 1.2.840.113619.5.2.

This transfer syntax uses the same encoding as Implicit VR Little Endian, with the exception that pixel data within (7f€0,0010) is
stored in Big Endian byte order.

Apparently, this was used to avoid the necessity of byte swapping of pixel data on Big Endian machines (Sun workstations).
DCMTK so far has no support for this private transfer syntax. However, all DCMTK-based command line tools read and process GE
files as if they were in fact encoded in LittleEndianimplicit. In particular, the compression tools like dcmcjpeg create incorrect results
because they treat the images as LittleEndianimplicit, and then write a file with a different transfer syntax.

First of all, DCMTK should recognize the presence of an unknown transfer syntax UID in the meta-header and then refuse
conversion to a different transfer syntax, even if the heuristics for parsing the dataset successfuly work (as in this case).

Secondly (but less important), implementing support for this transfer syntax within DCMDATA should be quite simple.

A sample file is available on Caesar in /share/dicom/images/ge_private/ge_private_transfer_syntax.dcm

History

#1 - 2016-11-16 15:20 - Marco Eichelberg

- Assignee set to Marco Eichelberg

#2 - 2017-03-03 18:18 - Marco Eichelberg
- % Done changed from 0 to 30

#3 - 2017-03-10 16:18 - Marco Eichelberg
- Status changed from New to Closed

- % Done changed from 30 to 100

Closed by commit a6b7824.
